Index: mojo/public/dart/third_party/shelf_static/tool/travis.sh |
diff --git a/mojo/public/dart/third_party/shelf_static/tool/travis.sh b/mojo/public/dart/third_party/shelf_static/tool/travis.sh |
new file mode 100755 |
index 0000000000000000000000000000000000000000..0f7c725295f052fd22d94d90fee9934b0221bea1 |
--- /dev/null |
+++ b/mojo/public/dart/third_party/shelf_static/tool/travis.sh |
@@ -0,0 +1,15 @@ |
+#!/bin/bash |
+ |
+# Fast fail the script on failures. |
+set -e |
+ |
+pub run test |
+ |
+# Install dart_coveralls; gather and send coverage data. |
+if [ "$COVERALLS_TOKEN" ] && [ "$TRAVIS_DART_VERSION" = "stable" ]; then |
+ pub global activate dart_coveralls |
+ pub global run dart_coveralls report \ |
+ --exclude-test-files \ |
+ --log-level warning \ |
+ test/test_all.dart |
+fi |